## r-cran-rprotobuf 0.4.3

=== DESCRIPTION ===
Package: RProtoBuf
Version: 0.4.3
Date: 2015-08-25
Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: R Interface to the Protocol Buffers API
Description: Protocol Buffers are a way of encoding structured data in an
 efficient yet extensible format. Google uses Protocol Buffers for almost all
 of its internal RPC protocols and file formats.  Additional
 documentation is available in the arXiv.org preprint "RProtoBuf:
 Efficient Cross-Language Data Serialization in R" by Eddelbuettel,
 Stokely, and Ooms (2014) at <http://arxiv.org/abs/1401.7372>.
Depends: R (>= 3.0.0), methods
Imports: utils, stats, tools, Rcpp, RCurl
LinkingTo: Rcpp
Suggests: RUnit, highlight
VignetteBuilder: highlight
SystemRequirements: ProtoBuf libraries and compiler version 2.2.0 or
        later. On Debian/Ubuntu these are libprotoc-dev and
        libprotobuf-dev, while on Fedora protobuf-devel and
        protobuf-compiler are needed.
License: GPL-2
URL: https://github.com/eddelbuettel/rprotobuf
BugReports: https://github.com/eddelbuettel/rprotobuf/issues
NeedsCompilation: yes
Packaged: 2015-08-25 12:22:39.00512 UTC; edd
Repository: CRAN
Date/Publication: 2015-08-25 16:29:18

=== debian/changelog ===
r-cran-rprotobuf (0.4.3-1build1) yakkety; urgency=medium

  * No-change rebuild for protobuf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 10:09:31 +0000

r-cran-rprotobuf (0.4.3-1) unstable; urgency=low

  * Initial release. (Closes: #822090)

 -- Jonathon Love <jon@thon.cc>  Thu, 21 Apr 2016 16:40:47 +1000

=== debian/control ===
Source: r-cran-rprotobuf
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcurl,
               libprotobuf-dev,
               libprotoc-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rprotobuf.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rprotobuf.git
Homepage: http://cran.r-project.org/package=RProtoBuf

Package: r-cran-rprotobuf
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-base,
         r-cran-rcpp,
         r-cran-rcurl
Description: GNU R package providing an interface to the Protocol Buffers API
 r-cran-protobuf is a GNU R package providing an interface to the
 Protocol Buffers API. Protocol Buffers are a way of encoding structured
 data in an efficient yet extensible format. Google uses Protocol Buffers
 for almost all of its internal RPC protocols and file formats.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod -x $(debRlib)/RProtoBuf/unitTests/runit.addressbook.R
	chmod -x $(debRlib)/RProtoBuf/unitTests/runit.bytes.R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RProtoBuf_([\d\.-]*).tar.gz

## r-cran-rprotobuf 0.4.8

=== DESCRIPTION ===
Package: RProtoBuf
Version: 0.4.8
Date: 2017-01-17
Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
Description: Protocol Buffers are a way of encoding structured data in an
 efficient yet extensible format. Google uses Protocol Buffers for almost all
 of its internal 'RPC' protocols and file formats.  Additional documentation
 is available in two included vignettes one of which corresponds to our paper
 in the Journal of Statistical Software (2016, v71i02). Either version 2 or 3
 of the 'Protocol Buffers' 'API' is supported.
Depends: R (>= 3.0.0), methods
Imports: utils, stats, tools, Rcpp, RCurl
LinkingTo: Rcpp
Suggests: RUnit, highlight
VignetteBuilder: highlight
SystemRequirements: ProtoBuf libraries and compiler version 2.2.0 or
        later; version 3.0.0 or later is supported as well. On
        Debian/Ubuntu these can be installed as libprotoc-dev and
        libprotobuf-dev, while on Fedora/CentOS protobuf-devel and
        protobuf-compiler are needed.
BugReports: https://github.com/eddelbuettel/rprotobuf/issues
URL: https://github.com/eddelbuettel/rprotobuf
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2017-01-17 12:30:58.196848 UTC; edd
Repository: CRAN
Date/Publication: 2017-01-17 19:41:15

=== debian/changelog ===
r-cran-rprotobuf (0.4.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 11:02:38 +0100

r-cran-rprotobuf (0.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Convert to dh-r
  * debhelper 10
  * update d/copyright
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 12:12:28 +0100

r-cran-rprotobuf (0.4.5-1) unstable; urgency=medium

  * New upstream release 
  * Added bindnow hardening patch

 -- Jonathon Love <jon@thon.cc>  Fri, 02 Sep 2016 22:09:05 +1000

=== debian/control ===
Source: r-cran-rprotobuf
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcurl,
               libprotobuf-dev,
               libprotoc-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rprotobuf.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rprotobuf.git
Homepage: https://cran.r-project.org/package=RProtoBuf

Package: r-cran-rprotobuf
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing an interface to the Protocol Buffers API
 r-cran-protobuf is a GNU R package providing an interface to the
 Protocol Buffers API. Protocol Buffers are a way of encoding structured
 data in an efficient yet extensible format. Google uses Protocol Buffers
 for almost all of its internal RPC protocols and file formats.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/RProtoBuf_([\d\.-]*).tar.gz

## r-cran-rprotobuf 0.4.11

=== DESCRIPTION ===
Package: RProtoBuf
Version: 0.4.11
Date: 2017-10-03
Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
Description: Protocol Buffers are a way of encoding structured data in an
 efficient yet extensible format. Google uses Protocol Buffers for almost all
 of its internal 'RPC' protocols and file formats.  Additional documentation
 is available in two included vignettes one of which corresponds to our 'JSS'
 paper (2016, <doi:10.18637/jss.v071.i02>. Either version 2 or 3 of the
 'Protocol Buffers' 'API' is supported.
Depends: R (>= 3.0.0), methods
Imports: utils, stats, tools, Rcpp, RCurl
LinkingTo: Rcpp
Suggests: RUnit, rmarkdown, knitr, pinp
VignetteBuilder: knitr
SystemRequirements: ProtoBuf libraries and compiler version 2.2.0 or
        later; version 3.0.0 or later is supported as well. On
        Debian/Ubuntu these can be installed as libprotoc-dev,
        libprotobuf-dev and protobuf-compiler, while on Fedora/CentOS
        protobuf-devel and protobuf-compiler are needed.
BugReports: https://github.com/eddelbuettel/rprotobuf/issues
URL: https://github.com/eddelbuettel/rprotobuf
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2017-10-03 11:23:00 UTC; edd
Repository: CRAN
Date/Publication: 2017-10-03 19:58:44 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 21:45:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcurl,
                libprotobuf-dev,
                libprotoc-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rprotobuf.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf

## r-cran-rprotobuf 0.4.12

=== debian/changelog ===
r-cran-rprotobuf (0.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jul 2018 13:43:22 +0200

r-cran-rprotobuf (0.4.11-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 16:51:29 +0200

=== debian/control ===
Source: r-cran-rprotobuf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcurl,
               libprotobuf-dev,
               libprotoc-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
Homepage: https://cran.r-project.org/package=RProtoBuf

Package: r-cran-rprotobuf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing an interface to the Protocol Buffers API
 r-cran-protobuf is a GNU R package providing an interface to the
 Protocol Buffers API. Protocol Buffers are a way of encoding structured
 data in an efficient yet extensible format. Google uses Protocol Buffers
 for almost all of its internal RPC protocols and file formats.

## r-cran-rprotobuf 0.4.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RProtoBuf
-Version: 0.4.11
-Date: 2017-10-03
+Version: 0.4.13
+Date: 2018-11-03
 Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
@@ -24,6 +24,6 @@
 URL: https://github.com/eddelbuettel/rprotobuf
 License: GPL (>= 2)
 NeedsCompilation: yes
-Packaged: 2017-10-03 11:23:00 UTC; edd
+Packaged: 2018-11-03 14:08:29.354651 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-10-03 19:58:44 UTC
+Date/Publication: 2018-11-03 16:00:10 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add Testsuite: autopkgtest-pkg-r
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Nov 2018 08:13:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
@@ -10,7 +11,7 @@
                r-cran-rcurl,
                libprotobuf-dev,
                libprotoc-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf

## r-cran-rprotobuf 0.4.14

=== debian/changelog ===
r-cran-rprotobuf (0.4.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 21:52:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-rcurl,
                libprotobuf-dev,
                libprotoc-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf

## r-cran-rprotobuf 0.4.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RProtoBuf
-Version: 0.4.13
-Date: 2018-11-03
+Version: 0.4.15
+Date: 2020-02-08
 Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
@@ -13,8 +13,7 @@
 Depends: R (>= 3.0.0), methods
 Imports: utils, stats, tools, Rcpp, RCurl
 LinkingTo: Rcpp
-Suggests: RUnit, rmarkdown, knitr, pinp
-VignetteBuilder: knitr
+Suggests: tinytest
 SystemRequirements: ProtoBuf libraries and compiler version 2.2.0 or
         later; version 3.0.0 or later is supported as well. On
         Debian/Ubuntu these can be installed as libprotoc-dev,
@@ -24,6 +23,6 @@
 URL: https://github.com/eddelbuettel/rprotobuf
 License: GPL (>= 2)
 NeedsCompilation: yes
-Packaged: 2018-11-03 14:08:29.354651 UTC; edd
+Packaged: 2020-02-08 12:59:21.404546 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-11-03 16:00:10 UTC
+Date/Publication: 2020-02-08 14:10:02 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.15-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests (Closes: #953826).

 -- Dylan Aïssi <daissi@debian.org>  Sat, 14 Mar 2020 08:34:10 +0100

r-cran-rprotobuf (0.4.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 10:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-rcurl,
                libprotobuf-dev,
                libprotoc-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf

## r-cran-rprotobuf 0.4.17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RProtoBuf
-Version: 0.4.15
-Date: 2020-02-08
+Version: 0.4.17
+Date: 2020-03-26
 Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
@@ -23,6 +23,6 @@
 URL: https://github.com/eddelbuettel/rprotobuf
 License: GPL (>= 2)
 NeedsCompilation: yes
-Packaged: 2020-02-08 12:59:21.404546 UTC; edd
+Packaged: 2020-03-26 12:20:01.032348 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-02-08 14:10:02 UTC
+Date/Publication: 2020-03-28 05:50:25 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add gawk to build-deps

 -- Dylan Aïssi <daissi@debian.org>  Sun, 05 Apr 2020 21:15:34 +0200

r-cran-rprotobuf (0.4.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 10:55:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,13 @@
                r-cran-rcpp,
                r-cran-rcurl,
                libprotobuf-dev,
-               libprotoc-dev
+               libprotoc-dev,
+               gawk
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf
+Rules-Requires-Root: no
 
 Package: r-cran-rprotobuf
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-tinytest
Restrictions: allow-stderr

## r-cran-rprotobuf 0.4.18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RProtoBuf
-Version: 0.4.17
-Date: 2020-03-26
+Version: 0.4.18
+Date: 2021-12-15
 Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
@@ -11,7 +11,7 @@
  paper (2016, <doi:10.18637/jss.v071.i02>. Either version 2 or 3 of the
  'Protocol Buffers' 'API' is supported.
 Depends: R (>= 3.0.0), methods
-Imports: utils, stats, tools, Rcpp, RCurl
+Imports: utils, stats, tools, Rcpp
 LinkingTo: Rcpp
 Suggests: tinytest
 SystemRequirements: ProtoBuf libraries and compiler version 2.2.0 or
@@ -20,9 +20,10 @@
         libprotobuf-dev and protobuf-compiler, while on Fedora/CentOS
         protobuf-devel and protobuf-compiler are needed.
 BugReports: https://github.com/eddelbuettel/rprotobuf/issues
-URL: https://github.com/eddelbuettel/rprotobuf
+URL: https://github.com/eddelbuettel/rprotobuf,
+        https://dirk.eddelbuettel.com/code/rprotobuf.html
 License: GPL (>= 2)
 NeedsCompilation: yes
-Packaged: 2020-03-26 12:20:01.032348 UTC; edd
+Packaged: 2021-12-15 17:36:26 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-03-28 05:50:25 UTC
+Date/Publication: 2021-12-16 08:50:02 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.18-1) unstable; urgency=medium

  * Team Upload.
  * [d2d8bfc] New upstream version 0.4.18
  * [5f3a526] run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Jan 2022 03:09:21 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-rcurl,
                libprotobuf-dev,
                libprotoc-dev,
                gawk

## r-cran-rprotobuf 0.4.19

=== debian/changelog ===
r-cran-rprotobuf (0.4.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.19
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:21:59 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libprotobuf-dev,
                libprotoc-dev,
                gawk
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf

## r-cran-rprotobuf 0.4.20

=== debian/changelog ===
r-cran-rprotobuf (0.4.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Convert Python scripts to Python3 using 2to3

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2022 14:32:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-cran-rprotobuf
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
+Homepage: https://cran.r-project.org/package=RProtoBuf
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                libprotobuf-dev,
                libprotoc-dev,
                gawk
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
-Homepage: https://cran.r-project.org/package=RProtoBuf
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rprotobuf
 Architecture: any

## r-cran-rprotobuf 0.4.22

=== DESCRIPTION ===
Package: RProtoBuf
Version: 0.4.22
Date: 2024-01-20
Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
Description: Protocol Buffers are a way of encoding structured data in an
 efficient yet extensible format. Google uses Protocol Buffers for almost all
 of its internal 'RPC' protocols and file formats.  Additional documentation
 is available in two included vignettes one of which corresponds to our 'JSS'
 paper (2016, <doi:10.18637/jss.v071.i02>. A sufficiently recent version of
 'Protocol Buffers' library is required; currently version 3.3.0 from 2017
 is the stated minimum.
Depends: R (>= 3.0.0), methods
Imports: utils, stats, tools, Rcpp
LinkingTo: Rcpp
Suggests: tinytest
SystemRequirements: ProtoBuf libraries and compiler version 3.3.0 or
        later; On Debian/Ubuntu these can be installed as
        libprotoc-dev, libprotobuf-dev and protobuf-compiler, while on
        Fedora/CentOS protobuf-devel and protobuf-compiler are needed.
        A C++17 compiler is required as well.
BugReports: https://github.com/eddelbuettel/rprotobuf/issues
URL: https://github.com/eddelbuettel/rprotobuf,
        https://dirk.eddelbuettel.com/code/rprotobuf.html
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2024-01-20 13:44:18 UTC; edd
Repository: CRAN
Date/Publication: 2024-01-21 13:42:45 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.22-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:33 +1100

r-cran-rprotobuf (0.4.22-1build1) noble; urgency=high

  * No change rebuild against libprotobuf32t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:52:17 +0100

r-cran-rprotobuf (0.4.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 17:01:34 +0100

r-cran-rprotobuf (0.4.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:55:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: r-cran-rprotobuf
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RProtoBuf_([\d\.-]*).tar.gz

## r-cran-rprotobuf 0.4.23

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,14 @@
 Package: RProtoBuf
-Version: 0.4.22
-Date: 2024-01-20
-Author: Romain Francois, Dirk Eddelbuettel, Murray Stokely and Jeroen Ooms
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Version: 0.4.23
+Date: 2025-01-14
+Authors@R: c(person("Romain", "Francois", role = "aut",
+                    comment = c(ORCID = "0000-0002-2444-4226")),
+             person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
+                    comment = c(ORCID = "0000-0001-6419-907X")),
+             person("Murray", "Stokely", role = "aut",
+                    comment = c(ORCID = "0009-0008-3390-1338")),
+             person("Jeroen", "Ooms", role = "aut",
+                    comment = c(ORCID = "0000-0002-4035-0289")))
 Title: R Interface to the 'Protocol Buffers' 'API' (Version 2 or 3)
 Description: Protocol Buffers are a way of encoding structured data in an
  efficient yet extensible format. Google uses Protocol Buffers for almost all
@@ -25,6 +31,11 @@
         https://dirk.eddelbuettel.com/code/rprotobuf.html
 License: GPL (>= 2)
 NeedsCompilation: yes
-Packaged: 2024-01-20 13:44:18 UTC; edd
+Packaged: 2025-01-14 17:53:50 UTC; edd
+Author: Romain Francois [aut] (<https://orcid.org/0000-0002-2444-4226>),
+  Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
+  Murray Stokely [aut] (<https://orcid.org/0009-0008-3390-1338>),
+  Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>)
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2024-01-21 13:42:45 UTC
+Date/Publication: 2025-01-14 19:00:05 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 15:19:27 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-rprotobuf
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
 Homepage: https://cran.r-project.org/package=RProtoBuf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-tinytest
Restrictions: allow-stderr

## r-cran-rprotobuf 0.4.25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RProtoBuf
-Version: 0.4.23
-Date: 2025-01-14
+Version: 0.4.25
+Date: 2026-01-11
 Authors@R: c(person("Romain", "Francois", role = "aut",
                     comment = c(ORCID = "0000-0002-2444-4226")),
              person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
@@ -25,17 +25,19 @@
         later; On Debian/Ubuntu these can be installed as
         libprotoc-dev, libprotobuf-dev and protobuf-compiler, while on
         Fedora/CentOS protobuf-devel and protobuf-compiler are needed.
-        A C++17 compiler is required as well.
+        A modern compiler is required as well.
 BugReports: https://github.com/eddelbuettel/rprotobuf/issues
 URL: https://github.com/eddelbuettel/rprotobuf,
         https://dirk.eddelbuettel.com/code/rprotobuf.html
 License: GPL (>= 2)
+VignetteBuilder: Rcpp
 NeedsCompilation: yes
-Packaged: 2025-01-14 17:53:50 UTC; edd
-Author: Romain Francois [aut] (<https://orcid.org/0000-0002-2444-4226>),
-  Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
-  Murray Stokely [aut] (<https://orcid.org/0009-0008-3390-1338>),
-  Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>)
+Packaged: 2026-01-11 16:00:36 UTC; edd
+Author: Romain Francois [aut] (ORCID: <https://orcid.org/0000-0002-2444-4226>),
+  Dirk Eddelbuettel [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6419-907X>),
+  Murray Stokely [aut] (ORCID: <https://orcid.org/0009-0008-3390-1338>),
+  Jeroen Ooms [aut] (ORCID: <https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2025-01-14 19:00:05 UTC
+Date/Publication: 2026-01-11 16:30:02 UTC

=== debian/changelog ===
r-cran-rprotobuf (0.4.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 17:53:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: r-cran-rprotobuf
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
-Homepage: https://cran.r-project.org/package=RProtoBuf
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                libprotobuf-dev,
                libprotoc-dev,
-               gawk
-Testsuite: autopkgtest-pkg-r
+               gawk,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprotobuf.git
+Homepage: https://cran.r-project.org/package=RProtoBuf
+Rules-Requires-Root: no
 
 Package: r-cran-rprotobuf
 Architecture: any
